#ifndef QPUSHABLELABEL_H
#define QPUSHABLELABEL_H

#include <QLabel>
#include <QWidget>
#include <Qt>

class QPushableLabel : public QLabel {
    Q_OBJECT

public:
    explicit QPushableLabel(QWidget* parent = Q_NULLPTR, Qt::WindowFlags f = Qt::WindowFlags());
    ~QPushableLabel();

signals:
    void clicked();

protected:
    void mousePressEvent(QMouseEvent* event);

};
#endif // QPUSHABLELABEL_H
